%global gitdate 20230912
%global gitversion 5611439c

Name:		aemu
Version:	0.1.2
Release:	1.%{gitdate}git%{gitversion}%{?dist}

Summary:	Android emulator library
License:	Apache-2.0, BSD, MIT

#VCS: https://android.googlesource.com/platform/hardware/google/aemu
# git snapshot.  to recreate, run:
# ./make-git-snapshot.sh `cat commitid`
Source0:	aemu-%{gitdate}.tar.xz

BuildRequires:  cmake

%description
Android developper library for emulators.

%package devel
Summary: AEMU development files
#Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
AEMU development files, used by gfxstream to build against.


%prep
%setup -q -n %{name}-%{gitdate}

%build
%cmake \
       -DAEMU_COMMON_GEN_PKGCONFIG=ON \
       -DAEMU_COMMON_BUILD_CONFIG=gfxstream \
       -DENABLE_VKCEREAL_TESTS=OFF

%cmake_build

%install
%cmake_install

rm -Rvf %{buildroot}%{_includedir}/host-common
rm -Rvf %{buildroot}%{_includedir}/snapshot
rm -Rvf %{buildroot}%{_libdir}/*.a

%ldconfig_scriptlets

%files devel
%dir %{_includedir}/aemu/
%{_includedir}/aemu/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Sep 12 2023 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.1.2-1.20230912git5611439c
- Initial packaging (rhbz#XXX)
